.avatar {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    margin-right: 5px;
}


.table th,
.table td {
    text-align: center;
    vertical-align: middle;
}




.message-i,
.message-o {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 10px;
}

.message-o {
    justify-content: flex-start;
}

.message-i {
    justify-content: flex-end;
}

.message-bubble {
    background-color: #e2e2e2;
    border-radius: 10px;
    padding: 10px;
    max-width: 120%;
    margin-left: 10px;
    margin-right: 10px;
}







.bi .table th:first-child {
    width: 20px;
    padding: 8px;
}

.table th:nth-child(6) {
    width: 20px;
    padding: 8px;
}

#messages {
    min-height: 450px;

    max-height: 450px;
    overflow-y: auto;
}


.table th:nth-child(7) {
    width: 100px;
    padding: 8px;
}

.authContainer {
    display: grid;
    place-items: center;
}



.form-control.form-control-sm {
    width: 200px;
    font-size: 0.875rem;
    padding: 0.25rem 0.5rem;
    height: calc(1.5em + 0.5rem + 2px);
    border-radius: 4rem;
}


@media (min-width: 576px) {
    .nav-item.dropdown:hover .dropdown-menu {
        display: block;
    }
}

.custom-checkbox .form-check-input {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 18px;
    height: 18px;
    background-color: #fff;
    border: 1px solid #ced4da;
    border-radius: 4px;
    vertical-align: middle;
    position: relative;
}

.custom-checkbox .form-check-input:checked::before {
    content: '\2713';
    font-size: 14px;
    color: #000;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.custom-checkbox .form-check-input:focus {
    outline: none;
    box-shadow: 0 0 0 2px rgba(0, 0, 0, 0.2);
}

.navbar-nav li.nav-item:hover {
    background-color: #f8f9fa;
}

.dropdown-menu a.dropdown-item:hover {
    background-color: #f8f9fa;
}

#notificationContainer:hover {
    background-color: transparent;
}

.notification-container {
    position: relative;
    display: inline-block;
}

.table th:first-child .form-check-input {
    width: 18px;
    height: 18px;
    margin-top: -2px;
}

.table td.status {
    color: green;
    font-weight: bold;
    width: 10px;
}

.problem {
    color: brown;
}

.table td.options {
    text-align: center;
    width: 10px;
}

.notification-indicator {
    position: absolute;
    top: 0;
    right: 0;
    width: 12px;
    height: 12px;
    background-color: red;
    border-radius: 50%;
    animation: pulse 1s infinite;
}

@media (max-width: 576px) {
    #deleteConfirmationModal .modal-dialog {
        margin: auto;
        top: 30%;
    }
}


@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 0.7;
    }

    50% {
        transform: scale(1.2);
        opacity: 0.4;
    }

    100% {
        transform: scale(1);
        opacity: 0.7;
    }
}

/* Стилі для спливаючого повідомлення вводу логіна */
.login-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.login-form {
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
}

.form-group {
    margin-bottom: 15px;
}

.form-control {
    width: 100%;
}

/* Приховуємо основний контент за замовчуванням */
.content {
    display: none;
}

/* Відображення контенту при вході */
.show-content .content {
    display: block;
}

.notification-indicator.blink {
    animation: blink 2s infinite;
}